Subject: bug#4592: Bug in built-in function substitute-in-file-name

From: Glenn Morris <[email-masked]>
Date: Fri, 02 Oct 2009 20:15:27 -0400

Mosur Mohan wrote:

> I am running Emacs version 21.3 on a Linux x86_64 machine.
[...]
> After running for a while, I notice that filename completion starts
> giving errors.  At this point, I re-try the above experiment:
>     (substitute-in-file-name "/~/")
> But now, I get:
>     "/~/"

Unfortunately, this seems a rather obscure problem, and Emacs 21 is
quite old, so you are unlikely to get much help unless you can give a
simple recipe showing how to get into this state (starting from emacs
-q --no-site-file). In any case, I would recommend upgrading to Emacs 23.